import type { _INCurrencyAmount } from "./INCurrencyAmount.js";
import type { _INDateComponentsRange } from "./INDateComponentsRange.js";
import type { _INIntentResponse } from "./INIntentResponse.js";
import type { _INPaymentAccount } from "./INPaymentAccount.js";
import type { _INPaymentAmount } from "./INPaymentAmount.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSUserActivity } from "../Foundation/NSUserActivity.js";
import type { INTransferMoneyIntentResponseCode } from "./INTransferMoneyIntentResponseCode.js";
export declare class _INTransferMoneyIntentResponse extends _INIntentResponse {
    static alloc(): _INTransferMoneyIntentResponse;
    static new(): _INTransferMoneyIntentResponse;
    init(): _INTransferMoneyIntentResponse;
    /**
     * The app extension has the option of capturing its private state as an NSUserActivity and returning it as the 'currentActivity'. If the the app is launched, an NSUserActivity will be passed in with the private state. The NSUserActivity may also be used to query the app's UI extension (if provided) for a view controller representing the current intent handling state. In the case of app launch, the NSUserActivity will have its activityType set to the name of the intent. This intent object will also be available in the NSUserActivity.interaction property.
     */
    initWithCode$userActivity$(code: INTransferMoneyIntentResponseCode, userActivity: _NSUserActivity | null): _INTransferMoneyIntentResponse;
    code(): INTransferMoneyIntentResponseCode;
    fromAccount(): _INPaymentAccount | null;
    setFromAccount$(value: _INPaymentAccount | null): void;
    toAccount(): _INPaymentAccount | null;
    setToAccount$(value: _INPaymentAccount | null): void;
    transactionAmount(): _INPaymentAmount | null;
    setTransactionAmount$(value: _INPaymentAmount | null): void;
    transactionScheduledDate(): _INDateComponentsRange | null;
    setTransactionScheduledDate$(value: _INDateComponentsRange | null): void;
    transactionNote(): _NSString | null;
    setTransactionNote$(value: _NSString | null): void;
    transferFee(): _INCurrencyAmount | null;
    setTransferFee$(value: _INCurrencyAmount | null): void;
}
